LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XRowSetChangeListener Interface Reference

is implemented by components which want to be notified when the `RowSet` supplied by a XRowSetSupplier changes. More...

`import"XRowSetChangeListener.idl";`

Inheritance diagram for XRowSetChangeListener:

## Public Member Functions
void | onRowSetChanged ([in] ::com::sun::star::lang::EventObject iEvent)
| notifies the listener that the `RowSet` associated with a XRowSetSupplier has changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is implemented by components which want to be notified when the `RowSet` supplied by a XRowSetSupplier changes.

See also
  XRowSetChangeBroadcaster
  XRowSetSupplier

Since
  OOo 3.2

## Member Function Documentation

## ◆ onRowSetChanged()

void onRowSetChanged | ( | [in] ::com::sun::star::lang::EventObject | iEvent | ) |

notifies the listener that the `RowSet` associated with a XRowSetSupplier has changed.

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XRowSetChangeListener.idl